Subject: Re: [EXT] Re: bug#56444: Gitolite home directory permissions
From: "Thompson, David" <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked], [email-masked], Maxime Devos <[email-masked]>
Date: Tue, 30 Aug 2022 12:39:47 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ludo,

On Tue, Aug 30, 2022 at 11:20 AM Ludovic Courtès <[email-masked]> wrote:

> Hi there!
>
> Please let’s avoid guessing each other’s willingness to do one thing or
> another.
>
> I agree with David that we should accept simple local fixes like this
> one, while keeping the “better solution” in sight.  It’s a tradeoff, and
> the goal is to make sure we can all move forward.
>
> So I’m all for merging this Gitolite activation patch that David posted
> right away; I think you can go ahead, David.
>
> Adding ‘home-permission’ to <user-account> as Maxime suggested also
> sounds like a welcome improvement to me, but I think it’s fine to do
> that separately.
>

Patch pushed.

I will follow up with a new bug report (and a patch later when I have some
time to actually write code) to capture the improvements to <user-account>
so we can discuss any potential issues or gotchas that might come as a
result.

Thanks,

- Dave